use <../../Modules/Write.scad_GitHub_2015-03-22/write.scad>


$fn=100;

h=10.0;  // <--- HERE
y=10.0;
w=140;
gMS=2.4;

rotate([0, 0, 90])
translate([0, 0, h/2])
rotate([90, 0, 0])
difference()
{
	union()
	{

		// base block
		if (1)
		translate([0, 0, w/2])
		cube([h, y, w,], center=true);

		
		step=1;
		smin=1;
		smax=10;
		for (i=[smin:1:smax])
		{
			h2=h+i*step;
			translate([-h/2+h2/2, 0, y*(smax-i)+h/2*0])
			cube([h2, y, y], center=true);
		}
	
	} // union

	// make it hollow
	//translate([0, 0, w/2])
	//cube([h-2*2.4, h-2*2.4, w,], center=true);
	
	#fMarker(1*w-10, "10mm"); // <--- HERE

	#fMarker(1*w-50, "+1");
	#fMarker(1*w-60, "+2");
	#fMarker(1*w-70, "+3");
	#fMarker(1*w-80, "+4");
	#fMarker(1*w-90, "+5");
	#fMarker(1*w-100, "+6");
	#fMarker(1*w-110, "+7");
	#fMarker(1*w-120, "+8");
	#fMarker(1*w-130, "+9");
	#fMarker(1*w-140, "+10");

} // diff

module fMarker(lh, lt)
{
	for(a=[1,-1])
	//a=-1;
	translate([0, a*h/2-a, lh])
	rotate([-1*a*90, -a*90, 0])
	write(lt, t=h/2, h=4, center=true);
}